export namespace CHANNEL_ICONS {
    let email: string;
    let slack: string;
}
export default class PulseEditChannels extends Component<any, any, any> {
    static propTypes: {
        pulse: PropTypes.Validator<object>;
        pulseId: PropTypes.Requireable<number>;
        pulseIsValid: PropTypes.Validator<boolean>;
        formInput: PropTypes.Validator<object>;
        user: PropTypes.Validator<object>;
        users: PropTypes.Validator<any[]>;
        setPulse: PropTypes.Validator<(...args: any[]) => any>;
        testPulse: PropTypes.Requireable<(...args: any[]) => any>;
        cardPreviews: PropTypes.Requireable<object>;
        hideSchedulePicker: PropTypes.Requireable<boolean>;
        emailRecipientText: PropTypes.Requireable<string>;
        invalidRecipientText: PropTypes.Validator<(...args: any[]) => any>;
    };
    static defaultProps: {};
    constructor(props: any);
    constructor(props: any, context: any);
    state: {};
    addChannel(type: any): void;
    removeChannel(index: any): void;
    onChannelPropertyChange: (index: any, name: any, value: any) => void;
    onChannelScheduleChange(index: any, newSchedule: any, changedProp: any): void;
    toggleChannel(type: any, enable: any): void;
    onTestPulseChannel(channel: any): any;
    willPulseSkip: () => any;
    renderChannel(channel: any, index: any, channelSpec: any): import("react/jsx-runtime").JSX.Element;
    renderChannelSection(channelSpec: any): import("react/jsx-runtime").JSX.Element;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
import PropTypes from "prop-types";
